## ev-link ev-link |

## Synopsis

                        EvLink;
                        EvLinkClass;
                        EvLinkPrivate;
    EvLink*             ev_link_new                         (const gchar *title,
                                                             EvLinkAction *action);
    const gchar*        ev_link_get_title                   (EvLink *self);
    EvLinkAction*       ev_link_get_action                  (EvLink *self);
    gint                ev_link_get_page                    (EvLink *link);
                        EvLinkMapping;
    void                ev_link_mapping_free                (GList *link_mapping);
    EvLink*             ev_link_mapping_find                (GList *link_mapping,
                                                             gdouble x,
                                                             gdouble y);
    void                ev_link_mapping_get_area            (GList *link_mapping,
                                                             EvLink *link,
                                                             EvRectangle *area);

## Description

## Details

### EvLink

    typedef struct _EvLink EvLink;

### EvLinkClass

    typedef struct _EvLinkClass EvLinkClass;

### EvLinkPrivate

    typedef struct _EvLinkPrivate EvLinkPrivate;

### ev_link_new ()

    EvLink*             ev_link_new                         (const gchar *title,
                                                             EvLinkAction *action);

`title` : |
`action` : |
Returns : |

### ev_link_get_title ()

    const gchar*        ev_link_get_title                   (EvLink *self);

`self` : |
Returns : |

### ev_link_get_action ()

    EvLinkAction*       ev_link_get_action                  (EvLink *self);

`self` : |
Returns : |

### ev_link_get_page ()

    gint                ev_link_get_page                    (EvLink *link);

`link` : |
Returns : |

### EvLinkMapping

    typedef struct {
    	EvLink *link;
    	gdouble x1;
    	gdouble y1;
    	gdouble x2;
    	gdouble y2;
    } EvLinkMapping;

### ev_link_mapping_free ()

    void                ev_link_mapping_free                (GList *link_mapping);

`link_mapping` : |

### ev_link_mapping_find ()

    EvLink*             ev_link_mapping_find                (GList *link_mapping,
                                                             gdouble x,
                                                             gdouble y);

`link_mapping` : |
`x` : |
`y` : |
Returns : |

### ev_link_mapping_get_area ()

    void                ev_link_mapping_get_area            (GList *link_mapping,
                                                             EvLink *link,
                                                             EvRectangle *area);

`link_mapping` : |
`link` : |
`area` : |